package ru.otus.mobile.page;

import ru.otus.mobile.component.BottomNavigationComponent;
import ru.otus.mobile.config.MobileConfig;

public abstract class AbsBasePage extends AbsPageObject {
    protected final BottomNavigationComponent bottomNavigation;
    private final MobileConfig config;

    protected AbsBasePage(MobileConfig config, BottomNavigationComponent bottomNavigation) {
        super(config);
        this.config = config;
        this.bottomNavigation = bottomNavigation;
    }

    protected MobileConfig config() {
        return config;
    }
}
